Skip to main content

Add disks to an aggregate

Adds disks to an aggregate, increasing the storage capacity of the existing aggregate. Use this to expand the aggregate to accommodate additional data.

HTTP method and endpoint

POST /gcp/ha/aggregates/{workingEnvironmentId}/{aggregateName}/disks

Usage notes

Adds disks to an existing aggregate.

Parameters

Name Type In Required Description

workingEnvironmentId

string

path

True

aggregateName

string

path

True

Request Body

Name Type Required Description

numberOfDisks

integer

True

Number of disks

Example request
{
  "numberOfDisks": 0
}

Error

Status: Default, Default response